Bug 474724 - cloning a channel gets a 500 perl error.
cloning a channel gets a 500 perl error.
Status: CLOSED DUPLICATE of bug 461796
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
0.4
All Linux
low Severity medium
: ---
: ---
Assigned To: Jesus M. Rodriguez
Red Hat Satellite QA List
https://dhcp231-158.rdu.redhat.com/ne...
:
Depends On:
Blocks: space04
  Show dependency treegraph
 
Reported: 2008-12-04 19:14 EST by wes hayutin
Modified: 2009-01-09 14:32 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 14:32:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2008-12-04 19:14:59 EST
Description of problem:

spacewalk updated on 12/4
the 404 bug is fixed 472432

now you get a 500 perl ise.

recreate..
go to manage software channels
clone a base channel, this case was rhel 5
click submit


[Thu Dec 04 19:07:31 2008] [error] Execution of /var/www/html/network/software/channels/manage/edit.pxt failed at Thu Dec  4 19:07:31 2008: RHN::Exception: DBD::Oracle::st execute failed: ORA-01461: can bind a LONG value only for insert into a LONG column (DBD ERROR: OCIStmtExecute) [for Statement "INSERT INTO rhnErrataTmp E\n (E.ID, E.ADVISORY, E.ADVISORY_TYPE, E.PRODUCT, E.DESCRIPTION, E.SYNOPSIS, E.TOPIC, E.SOLUTION, E.ISSUE_DATE, E.REFERS_TO, E.CREATED, E.MODIFIED, E.UPDATE_DATE, E.NOTES, E.ORG_ID, E.ADVISORY_NAME, E.ADVISORY_REL, E.LOCALLY_MODIFIED, E.LAST_MODIFIED) VALUES (?, ?, ?, ?, ?, ?, ?, ?, TO_DATE(?, 'YYYY-MM-DD'), ?, TO_DATE(?, 'YYYY-MM-DD'), TO_DATE(?, 'YYYY-MM-DD HH24:MI:SS'), TO_DATE(?, 'YYYY-MM-DD'), ?, ?, ?, ?, ?, TO_DATE(?, 'YYYY-MM-DD HH24:MI:SS'))" with ParamValues: :p5="Mozilla Firefox is an open source Web browser.\n\nFlaws were found in the way Firefox executed malformed JavaScript code. A\nmalicious web page could cause Firefox to crash or allow arbitrary code \nto be executed as the user running Firefox. (CVE-2007-0775, CVE-2007-0777)\n\nCross-site scripting (XSS) flaws were found in Firefox.  A malicious web\npage could display misleading information, allowing...", :p12="2008-11-11 15:59:36", :p8="Before applying this update, make sure that all previously-released\nerrata relevant to your system have been applied.  \n\nThis update is available via Red Hat Network.  Details on how to use \nthe Red Hat Network to apply this update are available at\nhttp://kbase.redhat.com/faq/FAQ_58_10188", :p14=undef, :p15="1", :p19="2007-03-14 11:01:34", :p4="Red Hat Enterprise Linux", :p18=undef, :p10="http://www.redhat.com/security/updates/classification/#critical", :p13="2007-03-14", :p2="CLSA-2007:0097-5", :p16="CLSA-2007:0097", :p6="Critical: firefox security update", :p3="Security Advisory", :p7="Updated firefox packages that fix several security bugs are now available\nfor Red Hat Enterprise Linux 5.\n\nThis update has been rated as having critical security impact by the Red\nHat Security Response Team.", :p1="1917", :p17="5", :p9="2007-03-14", :p11="2008-11-11"]\n  RHN::DB /var/www/lib/RHN/DB.pm 233 RHN::Exception::DB::throw\n  RHN::DB::Errata /var/www/lib/RHN/DB/Errata.pm 1026 RHN::DB::handle_error\n  RHN::DB::ErrataEditor /var/www/lib/RHN/DB/ErrataEditor.pm 348 RHN::DB::Errata::commit\n  RHN::DB::ChannelEditor /var/www/lib/RHN/DB/ChannelEditor.pm 462 RHN::DB::ErrataEditor::clone_into_org\n  RHN::DB::ChannelEditor /var/www/lib/RHN/DB/ChannelEditor.pm 405 RHN::DB::ChannelEditor::clone_errata_into_channel\n  Sniglets::ChannelEditor /var/www/lib/Sniglets/ChannelEditor.pm 324 RHN::DB::ChannelEditor::clone_all_errata\n  Sniglets::ChannelEditor /var/www/lib/Sniglets/ChannelEditor.pm 290 (eval)\n  PXT::ApacheHandler /var/www/lib/PXT/ApacheHandler.pm 624 Sniglets::ChannelEditor::channel_edit_cb\n  PXT::Request /var/www/lib/PXT/Request.pm 747 PXT::ApacheHandler::pxt_parse_data\n  PXT::Handlers /var/www/lib/PXT/Handlers.pm 112 PXT::Request::include\n  PXT::Parser /var/www/lib/PXT/Parser.pm 152 PXT::Handlers::pxt_include_handler\n  PXT::Parser /var/www/lib/PXT/Parser.pm 83 PXT::Parser::expand_tag\n  PXT::ApacheHandler /var/www/lib/PXT/ApacheHandler.pm 521 PXT::Parser::expand_tags\n  PXT::ApacheHandler /var/www/lib/PXT/ApacheHandler.pm 123 PXT::ApacheHandler::pxt_parse_data\n  PXT::ApacheHandler /var/www/lib/PXT/ApacheHandler.pm 123 (eval)\n  main -e 0 PXT::ApacheHandler::handler\n  main -e 0 (eval)\n\nOffending Query: INSERT INTO rhnErrataTmp E\n (E.ID, E.ADVISORY, E.ADVISORY_TYPE, E.PRODUCT, E.DESCRIPTION, E.SYNOPSIS, E.TOPIC, E.SOLUTION, E.ISSUE_DATE, E.REFERS_TO, E.CREATED, E.MODIFIED, E.UPDATE_DATE, E.NOTES, E.ORG_ID, E.ADVISORY_NAME, E.ADVISORY_REL, E.LOCALLY_MODIFIED, E.LAST_MODIFIED) VALUES (?, ?, ?, ?, ?, ?, ?, ?, TO_DATE(?, 'YYYY-MM-DD'), ?, TO_DATE(?, 'YYYY-MM-DD'), TO_DATE(?, 'YYYY-MM-DD HH24:MI:SS'), TO_DATE(?, 'YYYY-MM-DD'), ?, ?, ?, ?, ?, TO_DATE(?, 'YYYY-MM-DD HH24:MI:SS'))
[Thu Dec 04 19:07:31 2008] [error] Traceback sent to whayutin@redhat.com at /var/www/lib/PXT/ApacheHandler.pm line 728.
Comment 1 wes hayutin 2008-12-04 19:16:17 EST
   1.
      The following exception occurred while executing this request:
   2.
       POST /network/software/channels/manage/edit.pxt HTTP/1.1 (from browser)
   3.
       /network/software/channels/manage/edit.pxt (from Apache)
   4.
       
   5.
      Date:
   6.
        Thu Dec  4 19:07:31 2008
   7.
       
   8.
      Headers:
   9.
        Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8
  10.
        Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
  11.
        Accept-Encoding: gzip,deflate
  12.
        Accept-Language: en-us,en;q=0.5
  13.
        Connection: keep-alive
  14.
        Content-Length: 379
  15.
        Content-Type: application/x-www-form-urlencoded
  16.
        Cookie: rh_omni_tc=70160000000H4AjAAK; s_vi=[CS]v1|48EA534700000B47-A3A083F00003B8C[CE]; s_cc=true; s_sq=%5B%5BB%5D%5D; rh_sso=0|MPywLrg6WxbNQcoHTL7NaXhW03GxckfxdnV; rh_user=commandcenter|Dave|member; rh_shared_auth=fde3fdd84d311231f7d309c1d590ccd24ff41e8320002878dcf9cd619a03a3a5fa44fb85153e7d95939e3a2806059d76; pxt-session-cookie=1336x6f43da9f171e894f2f21ff40b48fcbad
  17.
        Host: dhcp231-158.rdu.redhat.com
  18.
        Keep-Alive: 300
  19.
        Referer: https://dhcp231-158.rdu.redhat.com/network/software/channels/manage/edit.pxt?clone_from=101&clone_type=current
  20.
        User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.2) Gecko/2008091816 Red Hat/3.0.2-3.el5 Firefox/3.0.2
  21.
       
  22.
      Form variables:
  23.
        channel_arch => 500
  24.
        channel_description =>
  25.
        channel_gpg_key_fp =>
  26.
        channel_gpg_key_id =>
  27.
        channel_gpg_key_url => file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release
  28.
        channel_name => wesrhel5
  29.
        channel_summary => Red Hat Enterprise Linux (v. 5 for 32-bit x86 Server)
  30.
        cid =>
  31.
        clone_from => 101
  32.
        clone_type => current
  33.
        new_channel_label => wesrhel5
  34.
        pxt:trap => rhn:channel_edit_cb
  35.
        submit => Create Channel
  36.
       
  37.
      User Information:
  38.
        User admin (id 1, org_id 1)
  39.
       
  40.
      Error notes:
  41.
        (none)
  42.
       
  43.
      Initial Request:
  44.
        Yes
  45.
       
  46.
      Error message:
  47.
        RHN::Exception: DBD::Oracle::st execute failed: ORA-01461: can bind a LONG value only for insert into a LONG column (DBD ERROR: OCIStmtExecute) [for Statement "INSERT INTO rhnErrataTmp E
  48.
       (E.ID, E.ADVISORY, E.ADVISORY_TYPE, E.PRODUCT, E.DESCRIPTION, E.SYNOPSIS, E.TOPIC, E.SOLUTION, E.ISSUE_DATE, E.REFERS_TO, E.CREATED, E.MODIFIED, E.UPDATE_DATE, E.NOTES, E.ORG_ID, E.ADVISORY_NAME, E.ADVISORY_REL, E.LOCALLY_MODIFIED, E.LAST_MODIFIED) VALUES (?, ?, ?, ?, ?, ?, ?, ?, TO_DATE(?, 'YYYY-MM-DD'), ?, TO_DATE(?, 'YYYY-MM-DD'), TO_DATE(?, 'YYYY-MM-DD HH24:MI:SS'), TO_DATE(?, 'YYYY-MM-DD'), ?, ?, ?, ?, ?, TO_DATE(?, 'YYYY-MM-DD HH24:MI:SS'))" with ParamValues: :p5="Mozilla Firefox is an open source Web browser.
  49.
       
  50.
      Flaws were found in the way Firefox executed malformed JavaScript code. A
  51.
      malicious web page could cause Firefox to crash or allow arbitrary code
  52.
      to be executed as the user running Firefox. (CVE-2007-0775, CVE-2007-0777)
  53.
       
  54.
      Cross-site scripting (XSS) flaws were found in Firefox.  A malicious web
  55.
      page could display misleading information, allowing...", :p12="2008-11-11 15:59:36", :p8="Before applying this update, make sure that all previously-released
  56.
      errata relevant to your system have been applied. 
  57.
       
  58.
      This update is available via Red Hat Network.  Details on how to use
  59.
      the Red Hat Network to apply this update are available at
  60.
      http://kbase.redhat.com/faq/FAQ_58_10188", :p14=undef, :p15="1", :p19="2007-03-14 11:01:34", :p4="Red Hat Enterprise Linux", :p18=undef, :p10="http://www.redhat.com/security/updates/classification/#critical", :p13="2007-03-14", :p2="CLSA-2007:0097-5", :p16="CLSA-2007:0097", :p6="Critical: firefox security update", :p3="Security Advisory", :p7="Updated firefox packages that fix several security bugs are now available
  61.
      for Red Hat Enterprise Linux 5.
  62.
       
  63.
      This update has been rated as having critical security impact by the Red
  64.
      Hat Security Response Team.", :p1="1917", :p17="5", :p9="2007-03-14", :p11="2008-11-11"]
  65.
        RHN::DB /var/www/lib/RHN/DB.pm 233 RHN::Exception::DB::throw
  66.
        RHN::DB::Errata /var/www/lib/RHN/DB/Errata.pm 1026 RHN::DB::handle_error
  67.
        RHN::DB::ErrataEditor /var/www/lib/RHN/DB/ErrataEditor.pm 348 RHN::DB::Errata::commit
  68.
        RHN::DB::ChannelEditor /var/www/lib/RHN/DB/ChannelEditor.pm 462 RHN::DB::ErrataEditor::clone_into_org
  69.
        RHN::DB::ChannelEditor /var/www/lib/RHN/DB/ChannelEditor.pm 405 RHN::DB::ChannelEditor::clone_errata_into_channel
  70.
        Sniglets::ChannelEditor /var/www/lib/Sniglets/ChannelEditor.pm 324 RHN::DB::ChannelEditor::clone_all_errata
  71.
        Sniglets::ChannelEditor /var/www/lib/Sniglets/ChannelEditor.pm 290 (eval)
  72.
        PXT::ApacheHandler /var/www/lib/PXT/ApacheHandler.pm 624 Sniglets::ChannelEditor::channel_edit_cb
  73.
        PXT::Request /var/www/lib/PXT/Request.pm 747 PXT::ApacheHandler::pxt_parse_data
  74.
        PXT::Handlers /var/www/lib/PXT/Handlers.pm 112 PXT::Request::include
  75.
        PXT::Parser /var/www/lib/PXT/Parser.pm 152 PXT::Handlers::pxt_include_handler
  76.
        PXT::Parser /var/www/lib/PXT/Parser.pm 83 PXT::Parser::expand_tag
  77.
        PXT::ApacheHandler /var/www/lib/PXT/ApacheHandler.pm 521 PXT::Parser::expand_tags
  78.
        PXT::ApacheHandler /var/www/lib/PXT/ApacheHandler.pm 123 PXT::ApacheHandler::pxt_parse_data
  79.
        PXT::ApacheHandler /var/www/lib/PXT/ApacheHandler.pm 123 (eval)
  80.
        main -e 0 PXT::ApacheHandler::handler
  81.
        main -e 0 (eval)
  82.
       
  83.
      Offending Query: INSERT INTO rhnErrataTmp E
  84.
       (E.ID, E.ADVISORY, E.ADVISORY_TYPE, E.PRODUCT, E.DESCRIPTION, E.SYNOPSIS, E.TOPIC, E.SOLUTION, E.ISSUE_DATE, E.REFERS_TO, E.CREATED, E.MODIFIED, E.UPDATE_DATE, E.NOTES, E.ORG_ID, E.ADVISORY_NAME, E.ADVISORY_REL, E.LOCALLY_MODIFIED, E.LAST_MODIFIED) VALUES (?, ?, ?, ?, ?, ?, ?, ?, TO_DATE(?, 'YYYY-MM-DD'), ?, TO_DATE(?, 'YYYY-MM-DD'), TO_DATE(?, 'YYYY-MM-DD HH24:MI:SS'), TO_DATE(?, 'YYYY-MM-DD'), ?, ?, ?, ?, ?, TO_DATE(?, 'YYYY-MM-DD HH24:MI:SS'))
Comment 2 Jesus M. Rodriguez 2009-01-08 15:46:28 EST
works for me
Comment 3 Jesus M. Rodriguez 2009-01-09 14:32:54 EST

*** This bug has been marked as a duplicate of bug 461796 ***

Note You need to log in before you can comment on or make changes to this bug.